%define Name Erlang
%define ver R14B
%define bname erlang
Name: %bname-doc
%define subver 2
Version: %ver.%subver
Release: alt1
Summary: Documentation for Erlang/OTP.
License: EPL
Group: Development/Documentation
URL: http://www.%bname.org
Source: otp_doc_html_%ver-%subver.tar
Patch0: otp_doc_html_%ver-%subver-mnesia_ext.patch
Patch1: otp_doc_html_%ver-%subver-tuples.patch
BuildArch: noarch
Provides: %bname-doc = %version-%release
Requires: %name-html = %version-%release
Requires: %name-pdf = %version-%release
Packager: Sergey Shilov <hsv@altlinux.org>
AutoReq: no

BuildRequires(pre): rpm-macros-erlang
BuildRequires: symlinks

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This is %Name/OTP documentation virtual package.


%package common
Summary: Documentation for Erlang/OTP in HTML common files
Group: Development/C
Conflicts: %bname-manual < R11B.4-alt0.1
Conflicts: %bname < R13B.4-alt1
Provides: %bname-manual = %version-%release
Obsoletes: %bname-doc < R14B.1

%description common
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains common files for %Name/OTP documentation.


%package html
Summary: Documentation for Erlang/OTP in HTML common files
Group: Development/C
Requires: %name-common = %version-%release
Conflicts: %bname-html < %version-%release
Obsoletes: %bname-html < R14B.1

%description html
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains documentation for %Name/OTP in HTML format.


%package pdf
Summary: Documentation for Erlang/OTP in HTML common files
Group: Development/C
Requires: %name-common = %version-%release
Conflicts: %bname-pdf < %version-%release
Obsoletes: %bname-pdf < R14B.1

%description pdf
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains documentation for %Name/OTP in PDF format.


%prep
%setup -c
%patch0 -p1
%patch1 -p1


%install
install -d -m 0755 %buildroot{%_otplibdir,%_erldocdir,%_docdir/%bname-%version/lib}
cp -r doc/* %buildroot%_erldocdir/
cp -r lib/* %buildroot%_otplibdir/
cp -r erts-* %buildroot%_otpdir/
cp -r COPYRIGHT PR.* README %buildroot%_docdir/%bname-%version/
ln -sf %buildroot%_erldocdir %buildroot%_docdir/%bname-%version/tutorial
ERTS=$(basename %buildroot%_otpdir/erts-*)
mkdir -p %buildroot%_docdir/%bname-%version/$ERTS
ln -sf %buildroot%_otpdir/$ERTS/doc %buildroot%_docdir/%bname-%version/$ERTS/doc
ln -sf %buildroot%_otpdir/$ERTS/info %buildroot%_docdir/%bname-%version/$ERTS/info
for d in %buildroot%_otplibdir/*; do
    l=$(basename $d)
    mkdir %buildroot%_docdir/%bname-%version/lib/$l
    ln -sf $d/{doc,info} %buildroot%_docdir/%bname-%version/lib/$l/
done
symlinks -rscd %buildroot%_docdir/%bname-%version/


%files

%files common
%dir %_otpdir
%dir %_otplibdir
%dir %_otplibdir/*
%exclude %_otpdir/doc/pdf
%exclude %_otplibdir/*/doc/html
%dir %_erldocdir
%dir %_otpdir/erts-*
%dir %_otpdir/erts-*/doc
%_otpdir/erts-*/info
%dir %_otplibdir/*/doc
%_otplibdir/*/info
%_docdir/%bname-%version


%files html
%exclude %_otpdir/doc/pdf
%exclude %_otpdir/erts-*/doc/pdf
%exclude %_otpdir/erts-*/info
%exclude %_otplibdir/*/info
%exclude %_otplibdir/*/doc/pdf
%_otpdir

%files pdf
%_otpdir/doc/pdf
%_otpdir/erts-*/doc/pdf
%_otplibdir/*/doc/pdf


%changelog
* Thu Mar 17 2011 Sergey Shilov <hsv@altlinux.org> R14B.2-alt1
- R14B02

* Mon Mar 14 2011 Sergey Shilov <hsv@altlinux.org> R14B.1-alt2
- fix packager.

* Mon Feb 21 2011 Sergey Shilov <hsv@altlinux.org> R14B.1-alt1
- R14B01.

* Tue Apr 20 2010 Sergey Shilov <hsv@altlinux.org> R13B.4-alt1
- R13B04

* Thu Jan 29 2009 Led <led@altlinux.ru> R12B.5-alt5
- fixed Group
- fixed typo in tuples.html
- fixed Summary and %%description

* Sun Jan 18 2009 Led <led@altlinux.ru> R12B.5-alt4
- added reference to tuples.html into
  lib/stdlib-1.15.5/doc/html/ref_man.html

* Sat Jan 17 2009 Led <led@altlinux.ru> R12B.5-alt3
- cleaned up erlang.html
- added tuples.html
- updated indexes

* Fri Jan 09 2009 Led <led@altlinux.ru> R12B.5-alt2
- added BIFs erlang:delete_element/2, erlang:insert_element/3

* Sun Dec 28 2008 Led <led@altlinux.ru> R12B.5-alt1
- R12B-5

* Sun Nov 23 2008 Led <led@altlinux.ru> R12B.4-alt6
- updated %%pre script

* Sat Nov 22 2008 Led <led@altlinux.ru> R12B.4-alt5
- fixed update

* Sun Nov 16 2008 Led <led@altlinux.ru> R12B.4-alt4
- cleaned up
- mnesia version num reverted to original

* Sat Nov 15 2008 Led <led@altlinux.ru> R12B.4-alt3
- fixed symlinks in %%docdir

* Thu Nov 06 2008 Led <led@altlinux.ru> R12B.4-alt2
- fixed URL

* Thu Sep 04 2008 Led <led@altlinux.ru> R12B.4-alt1
- R12B-4
- updated otp_doc_html_R12B-4-mnesia_ext.patch

* Thu Sep 04 2008 Led <led@altlinux.ru> R12B.3-alt3
- updated otp_doc_html_R12B-3-mnesia_ext.patch

* Wed Sep 03 2008 Led <led@altlinux.ru> R12B.3-alt2
- updated otp_doc_html_R12B-3-mnesia_ext.patch

* Fri Aug 15 2008 Led <led@altlinux.ru> R12B.3-alt1
- added otp_doc_html_R12B-3-mnesia_ext.patch

* Wed Jun 18 2008 Led <led@altlinux.ru> R12B.3-alt0.1
- R12B-3

* Sat Jun 14 2008 Led <led@altlinux.ru> R11B.5-alt1
- fixed subdirectories packaging violation

* Thu Jul 05 2007 Led <led@altlinux.ru> R11B.5-alt0.2
- fixed libraries doc links

* Tue Jun 26 2007 Led <led@altlinux.ru> R11B.5-alt0.1
- R11B-5

* Wed Jun 06 2007 Led <led@altlinux.ru> R11B.4-alt0.1
- initial build
